`timescale 1ps/1ps

module XS1_UnA_128_FB217(
  inout DEBUG_N,
  inout MODE0,
  inout MODE1,
  inout MODE2,
  inout MODE3,
  inout X0D10,
  inout X0D00,
  inout X0D11,
  inout X0D01,
  inout TCK,
  inout TMS,
  inout X0D43_WAKE,
  inout X0D12,
  inout X0D13,
  inout X0D14,
  inout X0D15,
  inout X0D16,
  inout X0D17,
  inout X0D18,
  inout X0D19,
  inout X0D20,
  inout X0D21,
  inout X0D22,
  inout X0D24,
  inout X0D35,
  inout MODE4,
  inout TDO,
  inout X1D00,
  inout X1D01,
  inout X1D10,
  inout X1D11,
  inout X1D12,
  inout X1D13,
  inout X1D14,
  inout X1D15,
  inout X1D16,
  inout X1D17,
  inout X1D18,
  inout X1D19,
  inout X1D02,
  inout X1D20,
  inout X1D21,
  inout X1D22,
  inout X1D23,
  inout X1D24,
  inout X1D25,
  inout X1D26,
  inout X1D27,
  inout X1D03,
  inout X1D32,
  inout X1D33,
  inout X1D34,
  inout X1D35,
  inout X1D36,
  inout X1D37,
  inout X1D38,
  inout X1D39,
  inout X1D04,
  inout X1D49,
  inout X1D05,
  inout X1D50,
  inout X1D51,
  inout X1D52,
  inout X1D53,
  inout X1D54,
  inout X1D55,
  inout X1D56,
  inout X1D57,
  inout X1D58,
  inout X1D06,
  inout X1D61,
  inout X1D62,
  inout X1D63,
  inout X1D64,
  inout X1D65,
  inout X1D66,
  inout X1D67,
  inout X1D68,
  inout X1D69,
  inout X1D07,
  inout X1D70,
  inout X1D08,
  inout X1D09,
  inout CCTEST_ANA_PMU,
  inout CCTEST_STAT1_SOC,
  inout CCTEST_STAT2_SOC,
  inout ADC0,
  inout ADC1,
  inout ADC2,
  inout ADC3,
  inout ADC4,
  inout ADC5,
  inout ADC6,
  inout ADC7,
  inout OSC_EXT_N,
  inout RST_N,
  inout TDI,
  inout TEST_EN,
  inout TEST_EN_PMU,
  inout USB_DN,
  inout USB_DP,
  inout USB_ID,
  inout USB_VBUS,
  inout XI_CLK,
  inout XO
);
wire TDI_TDO2_IC;
wire TDI_TDO_IC;
wire USB_CLK_IC;
wire USB_FLAG1_IC;
wire USB_FLAG2_IC;
wire USB_FLAG3_IC;
wire USB_RX_DATA0_IC;
wire USB_RX_DATA1_IC;
wire USB_RX_DATA2_IC;
wire USB_RX_DATA3_IC;
wire USB_RX_DATA4_IC;
wire USB_RX_DATA5_IC;
wire USB_RX_DATA6_IC;
wire USB_RX_DATA7_IC;
wire USB_RX_RI_IC;
wire USB_TX_DATA0_IC;
wire USB_TX_DATA1_IC;
wire USB_TX_DATA2_IC;
wire USB_TX_DATA3_IC;
wire USB_TX_DATA4_IC;
wire USB_TX_DATA5_IC;
wire USB_TX_DATA6_IC;
wire USB_TX_DATA7_IC;
wire USB_TX_RI_IC;
wire USB_TX_RO_IC;
wire XLINK0_A0_IC;
wire XLINK0_A1_IC;
wire XLINK0_A2_IC;
wire XLINK0_A3_IC;
wire XLINK0_A4_IC;
wire XLINK0_B0_IC;
wire XLINK0_B1_IC;
wire XLINK0_B2_IC;
wire XLINK0_B3_IC;
wire XLINK0_B4_IC;
wire XLINK1_A0_IC;
wire XLINK1_A1_IC;
wire XLINK1_A2_IC;
wire XLINK1_A3_IC;
wire XLINK1_A4_IC;
wire XLINK1_B0_IC;
wire XLINK1_B1_IC;
wire XLINK1_B2_IC;
wire XLINK1_B3_IC;
wire XLINK1_B4_IC;
wire XLINK2_A0_IC;
wire XLINK2_A1_IC;
wire XLINK2_A2_IC;
wire XLINK2_A3_IC;
wire XLINK2_A4_IC;
wire XLINK2_B0_IC;
wire XLINK2_B1_IC;
wire XLINK2_B2_IC;
wire XLINK2_B3_IC;
wire XLINK2_B4_IC;
wire XLINK3_A0_IC;
wire XLINK3_A1_IC;
wire XLINK3_A2_IC;
wire XLINK3_A3_IC;
wire XLINK3_A4_IC;
wire XLINK3_B0_IC;
wire XLINK3_B1_IC;
wire XLINK3_B2_IC;
wire XLINK3_B3_IC;
wire XLINK3_B4_IC;
wire X_LA0IN_IC;
wire X_LA0OUT_IC;
wire X_LA1IN_IC;
wire X_LA1OUT_IC;
wire X_LA2IN_IC;
wire X_LA2OUT_IC;
wire X_LA3IN_IC;
wire X_LA3OUT_IC;
wire X_LA4IN_IC;
wire X_LA4OUT_IC;
wire X_PROC_CLK_IC;
wire X_PROC_RST_N_IC;
wire USB_R_REF_EXT_IC;

XS1_010_CHIP_TOP_PADS inst_name0
(
  .global_debug_Pad (DEBUG_N),
  .mode0_Pad (MODE0),
  .mode1_Pad (MODE1),
  .mode2_Pad (MODE2),
  .mode3_Pad (MODE3),
  .xcore0_io_Data50_Pad (X0D10),
  .xcore0_io_Data40_Pad (X0D00),
  .xcore0_io_Data51_Pad (X0D11),
  .xcore0_io_Data41_Pad (X0D01),
  .tck_Pad (TCK),
  .tdo_Pad (TDI_TDO2_IC),
  .tdi_Pad (TDI_TDO_IC),
  .tms_Pad (TMS),
  .xcore0_io_Data21_Pad (USB_CLK_IC),
  .xcore0_io_Data33_Pad (USB_FLAG1_IC),
  .xcore0_io_Data34_Pad (USB_FLAG2_IC),
  .xcore0_io_Data35_Pad (USB_FLAG3_IC),
  .xcore0_io_Data22_Pad (USB_RX_DATA0_IC),
  .xcore0_io_Data23_Pad (USB_RX_DATA1_IC),
  .xcore0_io_Data24_Pad (USB_RX_DATA2_IC),
  .xcore0_io_Data25_Pad (USB_RX_DATA3_IC),
  .xcore0_io_Data26_Pad (USB_RX_DATA4_IC),
  .xcore0_io_Data27_Pad (USB_RX_DATA5_IC),
  .xcore0_io_Data28_Pad (USB_RX_DATA6_IC),
  .xcore0_io_Data29_Pad (USB_RX_DATA7_IC),
  .xcore0_io_Data32_Pad (USB_RX_RI_IC),
  .xcore0_io_Data42_Pad (USB_TX_DATA0_IC),
  .xcore0_io_Data43_Pad (USB_TX_DATA1_IC),
  .xcore0_io_Data44_Pad (USB_TX_DATA2_IC),
  .xcore0_io_Data45_Pad (USB_TX_DATA3_IC),
  .xcore0_io_Data46_Pad (USB_TX_DATA4_IC),
  .xcore0_io_Data47_Pad (USB_TX_DATA5_IC),
  .xcore0_io_Data48_Pad (USB_TX_DATA6_IC),
  .xcore0_io_Data49_Pad (USB_TX_DATA7_IC),
  .xcore0_io_Data63_Pad (USB_TX_RI_IC),
  .xcore0_io_Data30_Pad (USB_TX_RO_IC),
  .xcore0_io_Data39_Pad (X0D43_WAKE),
  .xcore0_io_Data52_Pad (X0D12),
  .xcore0_io_Data53_Pad (X0D13),
  .xcore0_io_Data54_Pad (X0D14),
  .xcore0_io_Data55_Pad (X0D15),
  .xcore0_io_Data56_Pad (X0D16),
  .xcore0_io_Data57_Pad (X0D17),
  .xcore0_io_Data58_Pad (X0D18),
  .xcore0_io_Data59_Pad (X0D19),
  .xcore0_io_Data60_Pad (X0D20),
  .xcore0_io_Data61_Pad (X0D21),
  .xcore0_io_Data62_Pad (X0D22),
  .xcore0_io_Data20_Pad (X0D24),
  .xcore0_io_Data31_Pad (X0D35),
  .xlink4_tx0_Pad (XLINK0_A0_IC),
  .xlink4_tx1_Pad (XLINK0_A1_IC),
  .xlink4_tx2_Pad (XLINK0_A2_IC),
  .xlink4_tx3_Pad (XLINK0_A3_IC),
  .xlink4_tx4_Pad (XLINK0_A4_IC),
  .xlink4_rx0_Pad (XLINK0_B0_IC),
  .xlink4_rx1_Pad (XLINK0_B1_IC),
  .xlink4_rx2_Pad (XLINK0_B2_IC),
  .xlink4_rx3_Pad (XLINK0_B3_IC),
  .xlink4_rx4_Pad (XLINK0_B4_IC),
  .xlink6_tx0_Pad (XLINK1_A0_IC),
  .xlink6_tx1_Pad (XLINK1_A1_IC),
  .xlink6_tx2_Pad (XLINK1_A2_IC),
  .xlink6_tx3_Pad (XLINK1_A3_IC),
  .xlink6_tx4_Pad (XLINK1_A4_IC),
  .xlink6_rx0_Pad (XLINK1_B0_IC),
  .xlink6_rx1_Pad (XLINK1_B1_IC),
  .xlink6_rx2_Pad (XLINK1_B2_IC),
  .xlink6_rx3_Pad (XLINK1_B3_IC),
  .xlink6_rx4_Pad (XLINK1_B4_IC),
  .xlink7_tx0_Pad (XLINK2_A0_IC),
  .xlink7_tx1_Pad (XLINK2_A1_IC),
  .xlink7_tx2_Pad (XLINK2_A2_IC),
  .xlink7_tx3_Pad (XLINK2_A3_IC),
  .xlink7_tx4_Pad (XLINK2_A4_IC),
  .xlink7_rx0_Pad (XLINK2_B0_IC),
  .xlink7_rx1_Pad (XLINK2_B1_IC),
  .xlink7_rx2_Pad (XLINK2_B2_IC),
  .xlink7_rx3_Pad (XLINK2_B3_IC),
  .xlink7_rx4_Pad (XLINK2_B4_IC),
  .xlink5_tx0_Pad (XLINK3_A0_IC),
  .xlink5_tx1_Pad (XLINK3_A1_IC),
  .xlink5_tx2_Pad (XLINK3_A2_IC),
  .xlink5_tx3_Pad (XLINK3_A3_IC),
  .xlink5_tx4_Pad (XLINK3_A4_IC),
  .xlink5_rx0_Pad (XLINK3_B0_IC),
  .xlink5_rx1_Pad (XLINK3_B1_IC),
  .xlink5_rx2_Pad (XLINK3_B2_IC),
  .xlink5_rx3_Pad (XLINK3_B3_IC),
  .xlink5_rx4_Pad (XLINK3_B4_IC),
  .xcore0_io_Data4_Pad (X_LA0IN_IC),
  .xcore0_io_Data5_Pad (X_LA0OUT_IC),
  .xcore0_io_Data3_Pad (X_LA1IN_IC),
  .xcore0_io_Data6_Pad (X_LA1OUT_IC),
  .xcore0_io_Data2_Pad (X_LA2IN_IC),
  .xcore0_io_Data7_Pad (X_LA2OUT_IC),
  .xcore0_io_Data1_Pad (X_LA3IN_IC),
  .xcore0_io_Data8_Pad (X_LA3OUT_IC),
  .xcore0_io_Data0_Pad (X_LA4IN_IC),
  .xcore0_io_Data9_Pad (X_LA4OUT_IC),
  .pll_clkin_Pad (X_PROC_CLK_IC),
  .ext_async_rst_n_Pad (X_PROC_RST_N_IC),
  .trst_Pad (X_PROC_RST_N_IC)
);

XS1_010_CHIP_TOP_PADS inst_name1
(
  .global_debug_Pad (DEBUG_N),
  .mode0_Pad (MODE0),
  .mode1_Pad (MODE1),
  .mode2_Pad (MODE2),
  .mode3_Pad (MODE3),
  .mode4_Pad (MODE4),
  .tck_Pad (TCK),
  .tdi_Pad (TDI_TDO2_IC),
  .tdo_Pad (TDO),
  .tms_Pad (TMS),
  .xcore0_io_Data40_Pad (X1D00),
  .xcore0_io_Data41_Pad (X1D01),
  .xcore0_io_Data50_Pad (X1D10),
  .xcore0_io_Data51_Pad (X1D11),
  .xcore0_io_Data52_Pad (X1D12),
  .xcore0_io_Data53_Pad (X1D13),
  .xcore0_io_Data54_Pad (X1D14),
  .xcore0_io_Data55_Pad (X1D15),
  .xcore0_io_Data56_Pad (X1D16),
  .xcore0_io_Data57_Pad (X1D17),
  .xcore0_io_Data58_Pad (X1D18),
  .xcore0_io_Data59_Pad (X1D19),
  .xcore0_io_Data42_Pad (X1D02),
  .xcore0_io_Data60_Pad (X1D20),
  .xcore0_io_Data61_Pad (X1D21),
  .xcore0_io_Data62_Pad (X1D22),
  .xcore0_io_Data63_Pad (X1D23),
  .xcore0_io_Data20_Pad (X1D24),
  .xcore0_io_Data21_Pad (X1D25),
  .xcore0_io_Data22_Pad (X1D26),
  .xcore0_io_Data23_Pad (X1D27),
  .xcore0_io_Data43_Pad (X1D03),
  .xcore0_io_Data28_Pad (X1D32),
  .xcore0_io_Data29_Pad (X1D33),
  .xcore0_io_Data30_Pad (X1D34),
  .xcore0_io_Data31_Pad (X1D35),
  .xcore0_io_Data32_Pad (X1D36),
  .xcore0_io_Data33_Pad (X1D37),
  .xcore0_io_Data34_Pad (X1D38),
  .xcore0_io_Data35_Pad (X1D39),
  .xcore0_io_Data44_Pad (X1D04),
  .xcore0_io_Data0_Pad (X1D49),
  .xcore0_io_Data45_Pad (X1D05),
  .xcore0_io_Data1_Pad (X1D50),
  .xcore0_io_Data2_Pad (X1D51),
  .xcore0_io_Data3_Pad (X1D52),
  .xcore0_io_Data4_Pad (X1D53),
  .xcore0_io_Data5_Pad (X1D54),
  .xcore0_io_Data6_Pad (X1D55),
  .xcore0_io_Data7_Pad (X1D56),
  .xcore0_io_Data8_Pad (X1D57),
  .xcore0_io_Data9_Pad (X1D58),
  .xcore0_io_Data46_Pad (X1D06),
  .xcore0_io_Data10_Pad (X1D61),
  .xcore0_io_Data11_Pad (X1D62),
  .xcore0_io_Data12_Pad (X1D63),
  .xcore0_io_Data13_Pad (X1D64),
  .xcore0_io_Data14_Pad (X1D65),
  .xcore0_io_Data15_Pad (X1D66),
  .xcore0_io_Data16_Pad (X1D67),
  .xcore0_io_Data17_Pad (X1D68),
  .xcore0_io_Data18_Pad (X1D69),
  .xcore0_io_Data47_Pad (X1D07),
  .xcore0_io_Data19_Pad (X1D70),
  .xcore0_io_Data48_Pad (X1D08),
  .xcore0_io_Data49_Pad (X1D09),
  .xlink7_rx0_Pad (XLINK0_A0_IC),
  .xlink7_rx1_Pad (XLINK0_A1_IC),
  .xlink7_rx2_Pad (XLINK0_A2_IC),
  .xlink7_rx3_Pad (XLINK0_A3_IC),
  .xlink7_rx4_Pad (XLINK0_A4_IC),
  .xlink7_tx0_Pad (XLINK0_B0_IC),
  .xlink7_tx1_Pad (XLINK0_B1_IC),
  .xlink7_tx2_Pad (XLINK0_B2_IC),
  .xlink7_tx3_Pad (XLINK0_B3_IC),
  .xlink7_tx4_Pad (XLINK0_B4_IC),
  .xlink5_rx0_Pad (XLINK1_A0_IC),
  .xlink5_rx1_Pad (XLINK1_A1_IC),
  .xlink5_rx2_Pad (XLINK1_A2_IC),
  .xlink5_rx3_Pad (XLINK1_A3_IC),
  .xlink5_rx4_Pad (XLINK1_A4_IC),
  .xlink5_tx0_Pad (XLINK1_B0_IC),
  .xlink5_tx1_Pad (XLINK1_B1_IC),
  .xlink5_tx2_Pad (XLINK1_B2_IC),
  .xlink5_tx3_Pad (XLINK1_B3_IC),
  .xlink5_tx4_Pad (XLINK1_B4_IC),
  .xlink4_rx0_Pad (XLINK2_A0_IC),
  .xlink4_rx1_Pad (XLINK2_A1_IC),
  .xlink4_rx2_Pad (XLINK2_A2_IC),
  .xlink4_rx3_Pad (XLINK2_A3_IC),
  .xlink4_rx4_Pad (XLINK2_A4_IC),
  .xlink4_tx0_Pad (XLINK2_B0_IC),
  .xlink4_tx1_Pad (XLINK2_B1_IC),
  .xlink4_tx2_Pad (XLINK2_B2_IC),
  .xlink4_tx3_Pad (XLINK2_B3_IC),
  .xlink4_tx4_Pad (XLINK2_B4_IC),
  .xlink6_rx0_Pad (XLINK3_A0_IC),
  .xlink6_rx1_Pad (XLINK3_A1_IC),
  .xlink6_rx2_Pad (XLINK3_A2_IC),
  .xlink6_rx3_Pad (XLINK3_A3_IC),
  .xlink6_rx4_Pad (XLINK3_A4_IC),
  .xlink6_tx0_Pad (XLINK3_B0_IC),
  .xlink6_tx1_Pad (XLINK3_B1_IC),
  .xlink6_tx2_Pad (XLINK3_B2_IC),
  .xlink6_tx3_Pad (XLINK3_B3_IC),
  .xlink6_tx4_Pad (XLINK3_B4_IC),
  .pll_clkin_Pad (X_PROC_CLK_IC),
  .ext_async_rst_n_Pad (X_PROC_RST_N_IC),
  .trst_Pad (X_PROC_RST_N_IC)
);

XA1_CHIP_TOP inst_name2
(
  .cctest_ana_pmu_pad (CCTEST_ANA_PMU),
  .cctest_stat1_soc_pad (CCTEST_STAT1_SOC),
  .cctest_stat2_soc_pad (CCTEST_STAT2_SOC),
  .adc_in0_pad (ADC0),
  .adc_in1_pad (ADC1),
  .adc_in2_pad (ADC2),
  .adc_in3_pad (ADC3),
  .adc_in4_pad (ADC4),
  .adc_in5_pad (ADC5),
  .adc_in6_pad (ADC6),
  .adc_in7_pad (ADC7),
  .mode_boot_pad (OSC_EXT_N),
  .rst_n_pad (RST_N),
  .tck_pad (TCK),
  .tdi_pad (TDI),
  .tdo_pad (TDI_TDO_IC),
  .test_en_pad (TEST_EN),
  .test_en_pmu_pad (TEST_EN_PMU),
  .tms_pad (TMS),
  .x_usb_ref_clk_pad (USB_CLK_IC),
  .usb_dm_pad (USB_DN),
  .usb_dp_pad (USB_DP),
  .x_usb_flag1_pad (USB_FLAG1_IC),
  .x_usb_flag2_pad (USB_FLAG2_IC),
  .x_usb_flag3_pad (USB_FLAG3_IC),
  .usb_id_pad (USB_ID),
  .x_usb_rx_data0_pad (USB_RX_DATA0_IC),
  .x_usb_rx_data1_pad (USB_RX_DATA1_IC),
  .x_usb_rx_data2_pad (USB_RX_DATA2_IC),
  .x_usb_rx_data3_pad (USB_RX_DATA3_IC),
  .x_usb_rx_data4_pad (USB_RX_DATA4_IC),
  .x_usb_rx_data5_pad (USB_RX_DATA5_IC),
  .x_usb_rx_data6_pad (USB_RX_DATA6_IC),
  .x_usb_rx_data7_pad (USB_RX_DATA7_IC),
  .x_usb_rx_ri_pad (USB_RX_RI_IC),
  .usb_r_ref_ext_pad (USB_R_REF_EXT_IC),
  .x_usb_tx_data0_pad (USB_TX_DATA0_IC),
  .x_usb_tx_data1_pad (USB_TX_DATA1_IC),
  .x_usb_tx_data2_pad (USB_TX_DATA2_IC),
  .x_usb_tx_data3_pad (USB_TX_DATA3_IC),
  .x_usb_tx_data4_pad (USB_TX_DATA4_IC),
  .x_usb_tx_data5_pad (USB_TX_DATA5_IC),
  .x_usb_tx_data6_pad (USB_TX_DATA6_IC),
  .x_usb_tx_data7_pad (USB_TX_DATA7_IC),
  .x_usb_tx_ri_pad (USB_TX_RI_IC),
  .x_usb_tx_ro_pad (USB_TX_RO_IC),
  .usb_vbus_pad (USB_VBUS),
  .wake_pad (X0D43_WAKE),
  .x_adc_sample_pad (X0D24),
  .xtal_xin_pad (XI_CLK),
  .xtal_xout_pad (XO),
  .x_la0in_pad (X_LA0IN_IC),
  .x_la0out_pad (X_LA0OUT_IC),
  .x_la1in_pad (X_LA1IN_IC),
  .x_la1out_pad (X_LA1OUT_IC),
  .x_la2in_pad (X_LA2IN_IC),
  .x_la2out_pad (X_LA2OUT_IC),
  .x_la3in_pad (X_LA3IN_IC),
  .x_la3out_pad (X_LA3OUT_IC),
  .x_la4in_pad (X_LA4IN_IC),
  .x_la4out_pad (X_LA4OUT_IC),
  .x_proc_clk_pad (X_PROC_CLK_IC),
  .x_proc_rst_n_pad (X_PROC_RST_N_IC)
);

endmodule

